/*
stdlib.h

Information:
	"abs" is already defined by standard HSP command.

Warning:
	

Example:
	

Undefined:
	div_t
	wchar_t
	MB_CUR_MAX
*/

#ifndef ___HSPCRT_STDLIB_INCLUDE___
#define ___HSPCRT_STDLIB_INCLUDE___

#include "hspcrt/hspcrt.as"

#module

; (struct)
#ifndef _HSPCRT_NO_STRUCT@
	/*
	typedef struct _div_t {
        int quot;
        int rem;
	} div_t;
	*/
	#define global quot		0
	#define global rem		1
	#define global ldiv_t	div_t
#endif

; (constant)
#const global EXIT_FAILURE		1
#const global EXIT_SUCCESS		0
;#const global MB_CUR_MAX		?
#const global RAND_MAX			0x7fff

; (function)
#define global atof		double
#define global atoi		int
#define global atol		int
;strtod
;strtol
;strtoul
#define global rand		rnd(RAND_MAX)
;srand
;calloc
;free
;malloc
;realloc
#define global abort	end EXIT_FAILURE
#define global exit(%1)	end %1
;getenv
;system
;bsearch
;qsort
;(Already defined)
;abs
;div
#define global labs		abs
#define ldiv			div
;mblen
;mbtowc
;wctomb
;wcstombs

#global
#endif
